Scientific Linux Security Update : php on SL6.x i386/x86_64 (httpoxy)

Medium Nessus Plugin ID 92965


The remote Scientific Linux host is missing one or more security updates.


Security Fix(es) :

- It was discovered that PHP did not properly protect against the HTTP_PROXY variable name clash. A remote attacker could possibly use this flaw to redirect HTTP requests performed by a PHP script to an attacker- controlled proxy via a malicious HTTP request.


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 92965

File Name: sl_20160811_php_on_SL6_x.nasl

Version: $Revision: 2.5 $

Type: local

Agent: unix

Published: 2016/08/15

Modified: 2016/10/24

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.1

Vector: CVSS2#AV:N/AC:H/Au:N/C:P/I:P/A:P


Base Score: 8.1

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: x-cpe:/o:fermilab:scientific_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2016/08/11

Reference Information

CVE: CVE-2016-5385